import { reactive, onMounted, ref, ElMessage, ElMessageBox, http, getGroupUrl, RegularVerification, verification, PaginationProps } from "@/utils/importUsed";
import { useRoute } from "vue-router";
import router from "@/router";
// 表单实例
const ruleFormRef = ref()
export function usePriPrizeInTable() {
  // 接口列表实例
  let UrlList = reactive(null)
  // 获取当前板块接口列表
  onMounted(async () => {
    const route = useRoute();
    form.listId = Number(route.query.listId);

    UrlList = await getGroupUrl(["prizeSet"]);
    onSearch(ruleFormRef.value);

  });
  let form = reactive({
  listId:null, //奖励配置
  tableEnName:"", //查询表
  excuteKind:"", //执行方式


  });
  const dataList = ref([]);
  const loading = ref(false);
  const dialogAddVisible = ref(false);
  const pagination = reactive<PaginationProps>({
    total: 0,
    pageSize: 10,
    currentPage: 1,
    background: true
  });
  const columns: TableColumnList = [
    {
      type: "selection",
      width: 55,
      align: "left",
      hide: ({ checkList }) => !checkList.includes("勾选列")
    },
    {
      label: "序号",
      type: "index",
      width: 70,
      hide: ({ checkList }) => !checkList.includes("序号列")
    },
    {
      label: "ID",
      prop: "id",
      minWidth: 200
    },
    {
      label: "查询表",
      prop: "tableEnName",
      minWidth: 200
    },
    {
      label: "执行方式",
      prop: "excuteKind",
      minWidth: 200
    },
    {
      label: "ID",
      prop: "id",
      minWidth: 200
    },
    {
      label: "查询表",
      prop: "tableEnName",
      minWidth: 200
    },

    {
      label: "操作",
      fixed: "right",
      width: 200,
      slot: "operation"
    }
  ];
  // 当前页数量切换
  function handleSizeChange(val: number) {
    if (typeof val === "number") {
      pagination.pageSize = val;
      onSearch(ruleFormRef.value);
    }
  }
  // 当前页码切换
  function handleCurrentChange(val: number) {
    console.log(`current page: ${val}`);
    if (typeof val === "number") {
      pagination.currentPage = val;
      onSearch(ruleFormRef.value);
    }
  }
  // 选择表格项
  function handleSelectionChange(val) {
    console.log(`SelectionChange: ${val}`);
    onSearch(ruleFormRef.value);
  }
  // 搜索列表
  async function onSearch(formEl) {
    // 表单校验拦截
    if (!formEl) return
    await formEl.validate(async (valid, fields) => {
      if (valid) {
        //表单校验成功回调
        console.log('submit!')
        // 状态调整为加载中
        loading.value = true;
        // 调用接口（需动态生成接口）
        const { status, msg, data }: any = await http.Request({
          method: UrlList.prizeSet.prigetPriPrizeInTableList.method,
          url: UrlList.prizeSet.prigetPriPrizeInTableList.url,
          params: {
            ...form,
            pageSize: pagination.pageSize,
            pageNum: pagination.currentPage
          }
        });
        dataList.value = data.records;
        pagination.total = data.total;
        setTimeout(() => {
          loading.value = false;
        }, 500);
      } else {
        //表单校验失败回调
        ElMessage({
          message: "请输入完整信息",
          type: "error"
        });
      }
    })
  }
  // 执行方式选项数据
  const excuteKindOptionList = [
    { id: 'add', label: '添加' },
    { id: 'update', label: '修改' },
  ]



    //跳转到奖励入库字段
  function linkToPriPrizeInField(row) {
    router.push({ path: '../../pri/priPrizeInField/index', query: { inTableId: row.id } });
  }
  //跳转到奖励入库条件字段
  function linkToPriPrizeInQueryField(row) {
    router.push({ path: '../../pri/priPrizeInQueryField/index', query: { inTableId: row.id } });
  }

    // 删除
  function handleDelete(row) {
    ElMessageBox.confirm(
      `是否删除该奖励入库表? `,
      "提示",
      {
        confirmButtonText: "删除",
        cancelButtonText: "取消",
        type: "warning"
      }
    ).then(async () => {
      const { status, msg }: any = await http.Request({ method: UrlList.prizeSet.prideletePriPrizeInTable.method, url: UrlList.prizeSet.prideletePriPrizeInTable.url, params: String(row.id) });
      if (status === 1) {
        ElMessage({
          message: "删除成功",
          type: "success"
        });
        onSearch(ruleFormRef.value);
      } else {
        ElMessageBox.alert(msg, "提示", {
        confirmButtonText: "关闭",
        type: "warning"
      });
      };
    })
  }

    // 新增
  const addVisible = ref(false);
  function handleAdd() {
    addVisible.value = true;
  };

    // 修改
  const editUpdatePriPrizeInTableVisible = ref(false);
  const editUpdatePriPrizeInTableFormData = ref({});
  function handleUpdatePriPrizeInTable(row) {
    editUpdatePriPrizeInTableVisible.value = true;
    // 表格数据赋值
    editUpdatePriPrizeInTableFormData.value = row;
  };

  return {
    form,
    loading,
    columns,
    dataList,
    pagination,
    onSearch,
    handleSizeChange,
    handleCurrentChange,
    handleSelectionChange,
    ruleFormRef,
    excuteKindOptionList,

    handleAdd,
    addVisible,
    handleUpdatePriPrizeInTable,
    editUpdatePriPrizeInTableVisible,
    editUpdatePriPrizeInTableFormData,
    handleDelete,
    linkToPriPrizeInField,
    linkToPriPrizeInQueryField,

  };
}
